Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.Designer.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.Designer.cs	(revision 484)
@@ -160,97 +455,26 @@
             this.RdoBtn1_1.UseVisualStyleBackColor = true;
             this.RdoBtn1_1.CheckedChanged += new System.EventHandler(this.radioButton1_CheckedChanged);
             // 
-            // groupBoxEx1
+            // RdoBtn2_4
             // 
-            this.groupBoxEx1.BackColor = System.Drawing.Color.WhiteSmoke;
-            this.groupBoxEx1.BorderColor = System.Drawing.Color.Black;
-            this.groupBoxEx1.Controls.Add(this.RdoBtn2_3);
-            this.groupBoxEx1.Controls.Add(this.RdoBtn2_2);
-            this.groupBoxEx1.Controls.Add(this.RdoBtn2_1);
-            this.groupBoxEx1.Font = new System.Drawing.Font("ＭＳ Ｐ明朝", 14.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.groupBoxEx1.ForeColor = System.Drawing.Color.Black;
-            this.groupBoxEx1.Location = new System.Drawing.Point(9, 10);
-            this.groupBoxEx1.Name = "groupBoxEx1";
-            this.groupBoxEx1.Size = new System.Drawing.Size(581, 144);
-            this.groupBoxEx1.TabIndex = 5;
-            this.groupBoxEx1.TabStop = false;
-            this.groupBoxEx1.Text = "出 納 科 目";
+            this.RdoBtn2_4.AutoSize = true;
+            this.RdoBtn2_4.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.RdoBtn2_4.ForeColor = System.Drawing.Color.Black;
+            this.RdoBtn2_4.Location = new System.Drawing.Point(30, 143);
+            this.RdoBtn2_4.Name = "RdoBtn2_4";
+            this.RdoBtn2_4.Size = new System.Drawing.Size(306, 31);
+            this.RdoBtn2_4.TabIndex = 47;
+            this.RdoBtn2_4.Text = " 工　事（瑕疵工事）";
+            this.RdoBtn2_4.UseVisualStyleBackColor = true;
+            this.RdoBtn2_4.CheckedChanged += new System.EventHandler(this.RdoBtn2_1_CheckedChanged);
             // 
-            // RdoBtn2_2
-            // 
-            this.RdoBtn2_2.AutoSize = true;
-            this.RdoBtn2_2.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.RdoBtn2_2.ForeColor = System.Drawing.Color.Black;
-            this.RdoBtn2_2.Location = new System.Drawing.Point(110, 64);
-            this.RdoBtn2_2.Name = "RdoBtn2_2";
-            this.RdoBtn2_2.Size = new System.Drawing.Size(306, 31);
-            this.RdoBtn2_2.TabIndex = 46;
-            this.RdoBtn2_2.Text = " 工　事（自社工事）";
-            this.RdoBtn2_2.UseVisualStyleBackColor = true;
-            // 
-            // RdoBtn2_1
-            // 
-            this.RdoBtn2_1.AutoSize = true;
-            this.RdoBtn2_1.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.RdoBtn2_1.ForeColor = System.Drawing.Color.Black;
-            this.RdoBtn2_1.Location = new System.Drawing.Point(110, 24);
-            this.RdoBtn2_1.Name = "RdoBtn2_1";
-            this.RdoBtn2_1.Size = new System.Drawing.Size(190, 31);
-            this.RdoBtn2_1.TabIndex = 46;
-            this.RdoBtn2_1.Text = " 購　入　品";
-            this.RdoBtn2_1.UseVisualStyleBackColor = true;
-            // 
-            // Column5
-            // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            this.Column5.DefaultCellStyle = dataGridViewCellStyle2;
-            this.Column5.Frozen = true;
-            this.Column5.HeaderText = "部署コード";
-            this.Column5.Name = "Column5";
-            this.Column5.ReadOnly = true;
-            this.Column5.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.Column5.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column5.Visible = false;
-            // 
-            // Column3
-            // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle3.Font = new System.Drawing.Font("ＭＳ Ｐゴシック", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle3.ForeColor = System.Drawing.Color.Black;
-            this.Column3.DefaultCellStyle = dataGridViewCellStyle3;
-            this.Column3.Frozen = true;
-            this.Column3.HeaderText = "部　署　名　称";
-            this.Column3.Name = "Column3";
-            this.Column3.ReadOnly = true;
-            this.Column3.Resizable = System.Windows.Forms.DataGridViewTriState.False;
-            this.Column3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.Column3.Width = 440;
-            // 
-            // Column2
-            // 
-            this.Column2.HeaderText = "";
-            this.Column2.Name = "Column2";
-            this.Column2.Resizable = System.Windows.Forms.DataGridViewTriState.True;
-            this.Column2.Width = 40;
-            // 
-            // RdoBtn2_3
-            // 
-            this.RdoBtn2_3.AutoSize = true;
-            this.RdoBtn2_3.Font = new System.Drawing.Font("ＭＳ 明朝", 20.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.RdoBtn2_3.ForeColor = System.Drawing.Color.Black;
-            this.RdoBtn2_3.Location = new System.Drawing.Point(110, 104);
-            this.RdoBtn2_3.Name = "RdoBtn2_3";
-            this.RdoBtn2_3.Size = new System.Drawing.Size(451, 31);
-            this.RdoBtn2_3.TabIndex = 46;
-            this.RdoBtn2_3.Text = " 工　事（台帳完了・瑕疵工事）";
-            this.RdoBtn2_3.UseVisualStyleBackColor = true;
-            // 
             // FrmSelectTarget
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
             this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Dpi;
             this.BackColor = System.Drawing.Color.Black;
-            this.ClientSize = new System.Drawing.Size(600, 500);
+            this.ClientSize = new System.Drawing.Size(1214, 536);
+            this.Controls.Add(this.groupBoxEx2);
             this.Controls.Add(this.groupBoxEx1);
             this.Controls.Add(this.btnSelect);
             this.Controls.Add(this.btnEnd);
@@ -257,7 +481,7 @@
             this.Controls.Add(this.groupBox1);
             this.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.ForeColor = System.Drawing.Color.White;
-            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
+            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
             this.Margin = new System.Windows.Forms.Padding(4);
             this.MaximizeBox = false;
             this.MinimizeBox = false;
@@ -266,11 +490,16 @@
             this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
             this.Text = "対象選択";
             this.Shown += new System.EventHandler(this.FrmSelectTarget_Shown);
+            this.groupBoxEx2.ResumeLayout(false);
+            this.groupBoxEx3.ResumeLayout(false);
+            this.groupBoxEx3.PerformLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.numUDConstPro)).EndInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dataGridViewEX1)).EndInit();
+            this.groupBoxEx1.ResumeLayout(false);
+            this.groupBoxEx1.PerformLayout();
             this.groupBox1.ResumeLayout(false);
             this.groupBox1.PerformLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvMaster)).EndInit();
-            this.groupBoxEx1.ResumeLayout(false);
-            this.groupBoxEx1.PerformLayout();
             this.ResumeLayout(false);
 
         }
@@ -286,9 +515,23 @@
         private CustomControls.GroupBoxEx groupBoxEx1;
         private System.Windows.Forms.RadioButton RdoBtn2_2;
         private System.Windows.Forms.RadioButton RdoBtn2_1;
+        private System.Windows.Forms.RadioButton RdoBtn2_3;
+        private CustomControls.GroupBoxEx groupBoxEx2;
+        private CustomControls.DataGridViewEX dataGridViewEX1;
+        private CustomControls.GroupBoxEx groupBoxEx3;
+        private CustomControls.ComboBoxEX cmbDepartment;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label label2;
+        private System.Windows.Forms.NumericUpDown numUDConstPro;
+        private System.Windows.Forms.Label label4;
+        private System.Windows.Forms.Label label7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column4;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column5;
-        private System.Windows.Forms.DataGridViewTextBoxColumn Column3;
-        private System.Windows.Forms.DataGridViewCheckBoxColumn Column2;
-        private System.Windows.Forms.RadioButton RdoBtn2_3;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column6;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column7;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
+        private System.Windows.Forms.DataGridViewTextBoxColumn Column2;
+        private System.Windows.Forms.DataGridViewCheckBoxColumn Column3;
+        private System.Windows.Forms.RadioButton RdoBtn2_4;
     }
 }
\ No newline at end of file
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestSumList/FrmSelectTarget.cs	(revision 484)
@@ -7,6 +7,7 @@
 using System.Text;
 using System.Threading.Tasks;
 using System.Windows.Forms;
+using System.Collections;
 
 using log4net;
 using log4net.Appender;
@@ -36,6 +37,48 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
+        #region 定数
+
+        #region デフォルト表示行数表示
+        /// <summary>
+        /// デフォルト表示行数表示
+        /// </summary>
+        public static int s_MaxInitLineCount = 16;
+        #endregion
+
+        #region 部署グリッド定義
+        /// <summary>
+        /// 部署グリッド定義
+        /// </summary>
+        private enum Grid1Column
+        {
+            DepartMentCode = 0,
+            DepartmentName,
+            Check,
+        }
+        #endregion
+
+        #region 工事一覧グリッド定義
+        /// <summary>
+        /// 工事一覧グリッド定義
+        /// </summary>
+        private enum Grid2Column
+        {
+            ConstrCode = 0,
+            No,
+            ConstrName,
+            PersonName,
+        }
+        #endregion
+
+        #region 画面幅定義
+        /// <summary>
+        /// 画面幅定義
+        /// </summary>
+        public static int[] s_DispWidthDef = new int[] { 534, 1230 };
+        #endregion
+        #endregion
+
         #region 変数
 
         /// <summary>
@@ -53,6 +96,10 @@
         /// </summary>
         private int m_SelectDepCode = 0;
 
+        /// <summary>
+        /// 選択工事番号
+        /// </summary>
+        private int m_ConstrCode = 0;
         #endregion
 
         #region プロパティ
@@ -84,6 +131,15 @@
             set { m_SelectDepCode = value; }
         }
 
+        /// <summary>
+        /// 選択工事番号
+        /// </summary>
+        public int ConstrCode
+        {
+            get { return m_ConstrCode; }
+            set { m_ConstrCode = value; }
+        }
+
         #endregion
 
         #region コンストラクタ
@@ -104,7 +160,10 @@
         /// <param name="e"></param>
         private void FrmSelectTarget_Shown(object sender, EventArgs e)
         {
-          // 部署表示
+            // フォーム初期サイズセット
+            this.Width = s_DispWidthDef[0];
+
+            // 部署表示
             SetDepartmentData();
         }
         #endregion
@@ -131,9 +190,15 @@
                 {
                     m_CostType = (int)CostDataOfCompensation.CostTypeDef.Type3;
                 }
-                else
+                else if (RdoBtn2_3.Checked || RdoBtn2_4.Checked)
                 {
-                    m_CostType = (int)CostDataOfCompensation.CostTypeDef.Type4;
+                    if (RdoBtn2_3.Checked)
+                        m_CostType = (int)CostDataOfCompensation.CostTypeDef.Type4;
+                    else
+                        m_CostType = (int)CostDataOfCompensation.CostTypeDef.Type5;
+
+                    DataGridViewRow CurRow = dataGridViewEX1.CurrentRow;
+                    m_ConstrCode = CommonMotions.cnvInt(CurRow.Cells[(int)Grid2Column.ConstrCode].Value);
                 }
 
                 // 出納分類
@@ -168,9 +233,9 @@
             {
                 int nDepCode = 0;
                 List<DataGridViewRow> RowList = dgvMaster.Rows.Cast<DataGridViewRow>()
-                                                            .Where(x => CommonMotions.cnvBool(x.Cells[2].Value))
+                                                            .Where(x => CommonMotions.cnvBool(x.Cells[(int)Grid1Column.Check].Value))
                                                             .ToList();
-                nDepCode = CommonMotions.cnvInt(RowList[0].Cells[0].Value);
+                nDepCode = CommonMotions.cnvInt(RowList[0].Cells[(int)Grid1Column.DepartMentCode].Value);
 
                 return nDepCode;
             }
@@ -235,6 +300,20 @@
                     return false;
                 }
 
+                // 工事選択チェック
+                if (RdoBtn2_3.Checked)
+                {
+                    int nIndex = dataGridViewEX1.CurrentRow.Index;
+                    if (nIndex < 0)
+                    {
+                        MessageBox.Show("台帳完了・瑕疵工事選択時は工事を選択してください。"
+                                        , "選択エラー"
+                                        , MessageBoxButtons.OK
+                                        , MessageBoxIcon.Error);
+                        return false;
+                    }
+                }
+
                 return true;
             }
             catch (Exception ex)
@@ -282,14 +361,14 @@
 
                 DataGridView dgv = dgvMaster;
                 dgv.Rows.Clear();
-                foreach(DepartmentMaster CurRec in DepList)
+                foreach (DepartmentMaster CurRec in DepList)
                 {
                     int nIndex = dgv.Rows.Add(1);
                     DataGridViewRow CurRow = dgv.Rows[nIndex];
 
-                    CurRow.Cells[0].Value = CurRec.DepartmentCode;
-                    CurRow.Cells[1].Value = CurRec.DepartmentString;
-                    CurRow.Cells[2].Value = false;
+                    CurRow.Cells[(int)Grid1Column.DepartMentCode].Value = CurRec.DepartmentCode;
+                    CurRow.Cells[(int)Grid1Column.DepartmentName].Value = CurRec.DepartmentString;
+                    CurRow.Cells[(int)Grid1Column.Check].Value = false;
                 }
             }
             catch (Exception ex)
@@ -298,17 +377,53 @@
             }
             finally
             {
-                DepDB.close();DepDB = null;
+                DepDB.close(); DepDB = null;
             }
         }
         #endregion
 
-        #region ラジオボタン選択変更
+        #region 出納科目ラジオボタン選択変更
         /// <summary>
-        /// ラジオボタン選択変更
+        /// 出納科目ラジオボタン選択変更
         /// </summary>
         /// <param name="sender"></param>
         /// <param name="e"></param>
+        private void RdoBtn2_1_CheckedChanged(object sender, EventArgs e)
+        {
+            try
+            {
+                if (RdoBtn2_3.Checked || RdoBtn2_4.Checked)
+                {
+                    this.Width = s_DispWidthDef[1];
+
+                    // 工事一覧初期表示
+                    InitConstruction();
+                }
+                else
+                {
+                    this.Width = s_DispWidthDef[1];
+                }
+
+                Point Po = Owner.Location;
+                Po.X += (Owner.Width - this.Width) / 2;
+                Po.Y += (Owner.Height - this.Height) / 2;
+                this.Location = Po;
+
+                this.Update();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 出納対象ラジオボタン選択変更
+        /// <summary>
+        /// 出納対象ラジオボタン選択変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
         private void radioButton1_CheckedChanged(object sender, EventArgs e)
         {
             if (RdoBtn1_1.Checked)
@@ -321,5 +436,231 @@
             }
         }
         #endregion
+
+        #region 年度変更
+        /// <summary>
+        /// 年度変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void numUDConstPro_ValueChanged(object sender, EventArgs e)
+        {
+            cmbDepartment.TextChanged -= new EventHandler(this.cmbDepartment_TextChanged);
+            try
+            {
+                // 部署コンボボックス初期表示
+                SetcmbDepartment();
+
+                // 一覧データ表示処理
+                DataDisplay();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                cmbDepartment.TextChanged += new EventHandler(this.cmbDepartment_TextChanged);
+            }
+        }
+        #endregion
+
+        #region 部署変更
+        /// <summary>
+        /// 部署変更
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void cmbDepartment_TextChanged(object sender, EventArgs e)
+        {
+            // 一覧データ表示処理
+            DataDisplay();
+        }
+        #endregion
+
+        #region 工事一覧初期表示
+        /// <summary>
+        /// 工事一覧初期表示
+        /// </summary>
+        private void InitConstruction()
+        {
+            try
+            {
+                numUDConstPro.ValueChanged -= new EventHandler(numUDConstPro_ValueChanged);
+                cmbDepartment.TextChanged -= new EventHandler(this.cmbDepartment_TextChanged);
+
+                // 年度初期表示
+                SetInitnumUDConstPro();
+                // 部署コンボボックス初期表示
+                SetcmbDepartment();
+                // 一覧データ表示処理
+                DataDisplay();
+            }
+            catch (System.Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                numUDConstPro.ValueChanged += new EventHandler(numUDConstPro_ValueChanged);
+                cmbDepartment.TextChanged += new EventHandler(this.cmbDepartment_TextChanged);
+            }
+        }
+        #endregion
+
+        #region 対象年度初期セット
+        /// <summary>
+        /// 対象年度初期セット
+        /// </summary>
+        private void SetInitnumUDConstPro()
+        {
+            try
+            {
+                // 検索年度セット
+                // データにある事業期と現在の事業セット
+                int minval = 0;
+                int maxval = 0;
+                CommonMotions.GetPeriodYearMinMax(ref minval, ref maxval);
+
+                numUDConstPro.Minimum = minval;
+                numUDConstPro.Maximum = maxval;
+                numUDConstPro.Value = CommonMotions.GetPeriodYear();
+                CommonMotions.SetSerchTitle(label2, label7, numUDConstPro, label4);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスをセットする
+        /// <summary>
+        /// 部署コンボボックスへ文字をセットする
+        /// </summary>
+        private void SetcmbDepartment()
+        {
+            IOMDepartment depDB = new IOMDepartment();
+            try
+            {
+                int nBeforeCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                int nTargetCount = (int)numUDConstPro.Value;
+                // 部署マスタを検索する
+                StringBuilder strSQL = new StringBuilder();
+                CommonMotions.CreateDepCombBoxSQL(ref strSQL, nTargetCount, false, false);
+
+                // 部署マスタ読込
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL.ToString(), ref arList)) return;
+
+                List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
+                ConstructionDataList.Add(new KeyValuePair<int, string>(0, "　全　社　"));
+
+                foreach (object[] work in arList)
+                {
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
+
+                    ConstructionDataList.Add(keyval);
+                }
+
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
+
+                // コンボボックス初期表示
+                ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
+
+                cmbDepartment.SelectedValue = nBeforeCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                depDB.close(); depDB = null;
+            }
+        }
+        #endregion
+
+        #region 一覧データ表示処理
+        /// <summary>
+        /// 一覧データ表示処理
+        /// </summary>
+        private void DataDisplay()
+        {
+            IOAllFreeSQL FreeDB = new IOAllFreeSQL();
+            DataGridViewEX dgv = dataGridViewEX1;
+            try
+            {
+                dgv.Rows.Clear();
+                int nDepCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.Append("Select");
+                strSQL.Append("  A.ConstructionCode");
+                strSQL.Append(" , B.DetailString");
+                strSQL.Append(" , D.PersonName");
+                strSQL.Append(" From constructionbaseinfo As A");
+                strSQL.Append("      Inner Join constructionbaseinfodetail As B");
+                strSQL.Append("            On B.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("      And B.DetailNo = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
+                strSQL.Append("      Inner Join constructionledger As C");
+                strSQL.Append("            On C.ConstructionCode = A.ConstructionCode");
+                strSQL.AppendFormat("      And C.ComplateFlg = {0}", (int)ConstructionLedger.CompFlagDef.Complated);
+                strSQL.Append("      Inner Join personinchargemaster As D");
+                strSQL.Append("            On D.PersonCode = A.ConstructionPersonCode");
+                strSQL.Append(" Where");
+
+                if (CommonMotions.BasePeriodYear())
+                    strSQL.AppendFormat("  A.ConstructionPeriod = {0}", numUDConstPro.Value);
+                else
+                    strSQL.AppendFormat("  A.ConstructionYear = {0}", numUDConstPro.Value);
+
+                if (nDepCode > 0)
+                {
+                    strSQL.AppendFormat(" And A.ConstrDepCode = {0}", nDepCode);
+                }
+                strSQL.Append(" Order By A.LedgerComplateDate Desc");
+
+                ArrayList BaseList = new ArrayList();
+                if (!FreeDB.ExecuteReader(strSQL.ToString(), ref BaseList)) return;
+                if (BaseList.Count == 0) return;
+
+                // 要素表示
+                int ino = 1;
+                int iy = 0;
+                DataGridViewRow[] DataRow = new DataGridViewRow[BaseList.Count];
+                foreach (object[] wrk in BaseList)
+                {
+                    // データ編集
+                    DataGridViewRow CurRow = new DataGridViewRow();
+                    CurRow.CreateCells(dgv);
+
+                    CurRow.Cells[(int)Grid2Column.ConstrCode].Value = CommonMotions.cnvInt(wrk[0]);
+                    CurRow.Cells[(int)Grid2Column.No].Value = ino++;
+                    CurRow.Cells[(int)Grid2Column.ConstrName].Value = CommonMotions.cnvString(wrk[1]);
+                    CurRow.Cells[(int)Grid2Column.PersonName].Value = CommonMotions.cnvString(wrk[2]);
+
+                    CurRow.Cells[(int)Grid2Column.ConstrCode].ToolTipText = CommonMotions.cnvString(wrk[1]);
+
+                    DataRow[iy++] = CurRow;
+                }
+                dgv.Rows.AddRange(DataRow);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                FreeDB.close(); FreeDB = null;
+                if (s_MaxInitLineCount > dgv.Rows.Count)
+                    dgv.RowCount += (s_MaxInitLineCount - dgv.Rows.Count);
+            }
+        }
+        #endregion
     }
 }
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SalesConfirm/FrmSalesConfirm.Designer.cs	(revision 484)
@@ -514,7 +514,7 @@
             this.comboBox4.BackColor = System.Drawing.Color.White;
             this.comboBox4.DisplayMember = "Value";
             this.comboBox4.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.comboBox4.DropDownWidth = 120;
+            this.comboBox4.DropDownWidth = 500;
             this.comboBox4.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.comboBox4.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.comboBox4.FormattingEnabled = true;
@@ -529,7 +529,7 @@
             this.comboBox5.BackColor = System.Drawing.Color.White;
             this.comboBox5.DisplayMember = "Value";
             this.comboBox5.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.comboBox5.DropDownWidth = 120;
+            this.comboBox5.DropDownWidth = 500;
             this.comboBox5.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.comboBox5.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
             this.comboBox5.FormattingEnabled = true;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 483)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/SelectPayment/FrmSelectPayment.cs	(revision 484)
@@ -208,6 +208,7 @@
             BillingSpritFlg,                                                    // 請求区分
             PersonName,                                                         // 担当者名
             DepartmentCode,                                                     // ■部署コード
+            JapaneseSyllabary,                                                  // ■発注者50音
         }
         #endregion
 
